package com.ycwl.basic.model.pc.task.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 14:10
 * 任务列表
 */
@Data
@TableName("task")
public class TaskEntity {
    @TableId
    private Long id;
    /**
     * 执行任务的机器ID，render_worker.id
     */
    private Long workerId;
    /**
     * 用户ID，可以不和用户关联
     */
    private Long memberId;
    /**
     * 人脸ID，face.id
     */
    private Long faceId;
    /**
     * 模板ID
     */
    private Long templateId;
    /**
     * 景区ID
     */
    private Long scenicId;
    /**
     * 任务参数，JSON字符串
     */
    private String taskParams;
    /**
     * 视频链接，未完成状态下没有
     */
    private String videoUrl;
    /**
     * 状态，0未完成，1已完成，2正在处理
     */
    private Integer status;
    /**
     * 结果，不管成功还是失败
     */
    private String result;
    private Date createTime;
    private Date updateTime;
}
